### Name: pollen
### Title: Artificial "pollen-grain" data from 1986 Data Expo.
### Aliases: pollen
### Keywords: datasets

### ** Examples

data(pollen)
scaled <- scale(as.matrix(pollen[,1:5]))

## clearly at least two populations, based on neighbour distances
d <- nnfind(scaled)
plot(density(d$dist))
abline(v=0.08)

## cluster to extract two populations
nn <- nncluster(scaled, threshold=c(0.08,1), give.up=0)
nn

## tight cluster is the hidden message
plot(ridge~nub, data=pollen, subset=clusterMember(nn)==1)

## data set is a hollow ellipsoid with a treat in the middle.
coplot(density~ridge|crack*nub, data=pollen,pch=".",
    col=clusterMember(nn),cex=2, n=5)




